commit:     f7f7757f2dada9aa310e1b95f238a30f94b75bc7
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 29 14:43:07 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Nov 29 14:43:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7f7757f

net-print/hplip-plugin: Version bump to 3.8.10

Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>
Package-Manager: Portage-2.3.52, Repoman-2.3.11

 net-print/hplip-plugin/Manifest                    |  1 +
 net-print/hplip-plugin/hplip-plugin-3.18.10.ebuild | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/net-print/hplip-plugin/Manifest b/net-print/hplip-plugin/Manifest
index 7fb55e63cce..6f2825fae96 100644
--- a/net-print/hplip-plugin/Manifest
+++ b/net-print/hplip-plugin/Manifest
@@ -1 +1,2 @@
+DIST hplip-3.18.10-plugin.run 7324725 BLAKE2B 
62e7ba436a32c70a0ad0ae009f192035e1152689ce0e032ec45fae11e8ff0470a2c04a5b243e1857dceb6bd65de2381291f6b1bdcdf8fae5ca6ebb92da15823c
 SHA512 
86f393689d1afbaa43ec049d7c1150acd210ce100adbae8ec6f354d215d8bf2f6cc26acefdab840f933b2f5e11f8a731b79b99b528b7a3e455f283b0f7438a07
 DIST hplip-3.18.6-plugin.run 2065663 BLAKE2B 
501a37dd504250225ddad9712259e0e1b564aa034e433f24d277c5609fa95580417da1a0ae040a4624ff48806a3b34ec56ff31aed843e9f0f0b68b304d2ebd9e
 SHA512 
7b5eb2f43dd014df25ccd9e72dd7efc069db47921f2de650b2ff993dbee60056063edeee6593be7d35019212daf623fff9696b13508a808db92128f5c81bde76

diff --git a/net-print/hplip-plugin/hplip-plugin-3.18.10.ebuild 
b/net-print/hplip-plugin/hplip-plugin-3.18.10.ebuild
new file mode 100644
index 00000000000..d598946893c
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.18.10.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit udev unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing/plugins";
+#SRC_URI="http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-${PV}-plugin.run";
+SRC_URI="https://developers.hp.com/sites/default/files/hplip-${PV}-plugin.run";
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       ~net-print/hplip-${PV}
+       virtual/udev
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PRESTRIPPED="
+       /usr/share/hplip/fax/plugins/fax_marvell.so
+       /usr/share/hplip/prnt/plugins/hbpl1.so
+       /usr/share/hplip/prnt/plugins/lj.so
+       /usr/share/hplip/scan/plugins/bb_escl.so
+       /usr/share/hplip/scan/plugins/bb_marvell.so
+       /usr/share/hplip/scan/plugins/bb_soapht.so
+       /usr/share/hplip/scan/plugins/bb_soap.so
+"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_unpack() {
+       unpack_makeself "hplip-${PV}-plugin.run"
+}
+
+src_install() {
+       local hplip_arch=$(use amd64 && echo 'x86_64' || echo 'x86_32')
+
+       insinto "${HPLIP_HOME}"/data/firmware
+       doins *.fw.gz
+
+       for plugin in *-${hplip_arch}.so; do
+               local plugin_type=prnt
+               case "${plugin}" in
+                       fax_*) plugin_type=fax ;;
+                       bb_*)  plugin_type=scan ;;
+               esac
+
+               exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+               newexe ${plugin} ${plugin/-${hplip_arch}}
+       done
+
+       mkdir -p "${ED}/var/lib/hp/"
+       cat >> "${ED}/var/lib/hp/hplip.state" <<-_EOF_
+               [plugin]
+               installed = 1
+               eula = 1
+               version = ${PV}
+       _EOF_
+}

Reply via email to